### Hierarchy

- unknown
  - MarketPricesReply

## Index

### Constructors

- constructor

### Methods

- addMarketPrice
- clearMarketPriceList
- getMarketPriceList
- serializeBinary
- setMarketPriceList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MarketPricesReply(): MarketPricesReply

- Inherited from jspb.Message.constructor

  #### Returns MarketPricesReply

## Methods

### addMarketPrice

- addMarketPrice(value?: MarketPriceInfo, index?: number): MarketPriceInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2093

  #### Parameters

  - ##### Optional value: MarketPriceInfo

  - ##### Optional index: number

  #### Returns MarketPriceInfo

### clearMarketPriceList

- clearMarketPriceList(): MarketPricesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2092

  #### Returns MarketPricesReply

### getMarketPriceList

- getMarketPriceList(): MarketPriceInfo []

- - Defined in src/protobuf/grpc_pb.d.ts:2090

  #### Returns MarketPriceInfo []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2095

  #### Returns Uint8Array

### setMarketPriceList

- setMarketPriceList(value: MarketPriceInfo []): MarketPricesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2091

  #### Parameters

  - ##### value: MarketPriceInfo []

  #### Returns MarketPricesReply

### toObject

- toObject(includeInstance?: boolean): MarketPricesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2096

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MarketPricesReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPricesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2099

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPricesReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPricesReply, reader: BinaryReader): MarketPricesReply

- - Defined in src/protobuf/grpc_pb.d.ts:2100

  #### Parameters

  - ##### message: MarketPricesReply

  - ##### reader: BinaryReader

  #### Returns MarketPricesReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPricesReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2098

  #### Parameters

  - ##### message: MarketPricesReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MarketPricesReply ): MarketPricesReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2097

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPricesReply

  #### Returns MarketPricesReply . AsObject

Generated using TypeDoc